# $Revision: 1.33 $, $Date: 2011/08/13 21:53:59 $
# TODO:
#	rm libstdc++-devel dependency - required only for tests programs
#
# Conditional build:
%bcond_without	dbus	# build without dbus support
%bcond_without	python	# build without python bindings
%bcond_with		hal 	# build without HAL support
%bcond_without	udev	# build without UDEV support
%bcond_without  odccm   # build without odccm support

%if %{without dbus}
%undefine	with_odccm
%undefine	with_hal
%undefine	with_udev
%endif

Summary:	SynCE RAPI library
Summary(pl.UTF-8):	Biblioteka SynCE RAPI
Name:		synce-librapi2
Version:	0.15.2
Release:	4
License:	MIT
Group:		Libraries
Source0:	http://downloads.sourceforge.net/synce/librapi2-%{version}.tar.gz
# Source0-md5:	0a15bc22ee02794ca4714799611b4746
URL:		http://www.synce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
%{?with_dbus:BuildRequires:	dbus-glib-devel >= 0.60}
BuildRequires:	gettext-devel
%{?with_hal:BuildRequires:	hal-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.559
%{?with_udev:BuildRequires:	udev-devel}
%if %{with python}
BuildRequires:	python-Pyrex
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
# maybe temporaryliy, see https://bugs.launchpad.net/pld-linux/+bug/800148
BuildRequires:	python-modules
%endif
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	synce-libsynce-devel >= 0.15
%requires_ge_to synce-libsynce synce-libsynce-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The RAPI library is an open source implementation that works like
RAPI.DLL, available on Microsoft operating systems. The library makes
it possible to make remote calls to a computer running Pocket PC.

%description -l pl.UTF-8
Biblioteka RAPI to otwarta implementacja działająca tak jak RAPI.DLL
dostępna w systemach operacyjnych Microsoftu. Biblioteka umożliwia
wykonywanie zdalnych odwołań do komputera Pocket PC.

%package devel
Summary:	Header files for RAPI library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki RAPI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	synce-libsynce-devel

%description devel
Header files for RAPI library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki RAPI.

%package static
Summary:	Static RAPI library
Summary(pl.UTF-8):	Statyczna biblioteka RAPI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static RAPI library.

%description static -l pl.UTF-8
Statyczna biblioteka RAPI.

%package -n python-pyrapi2
Summary:	Python bindinding for RAPI library
Summary(pl.UTF-8):	Wiązanie Pythona do biblioteki RAPI
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-pyrapi2
Python bindinding for RAPI library.

%description -n python-pyrapi2 -l pl.UTF-8
Wiązanie Pythona do biblioteki RAPI.

%prep
%setup -q -n librapi2-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_hal:--disable-hal-support}%{?with_hal:--enable-hal-support} \
	%{!?with_odccm:--disable-odccm-support}%{?with_odccm:--enable-odccm-support} \
	%{!?with_udev:--disable-udev-support}%{?with_udev:--enable-udev-support} \
	%{!?with_python:--disable-python-bindings}%{?with_python:--enable-python-bindings}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{py_sitedir}/pyrapi2.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc BUGS ChangeLog README* TODO
%attr(755,root,root) %{_bindir}/pcp
%attr(755,root,root) %{_bindir}/pkillall
%attr(755,root,root) %{_bindir}/pls
%attr(755,root,root) %{_bindir}/pmkdir
%attr(755,root,root) %{_bindir}/pmv
%attr(755,root,root) %{_bindir}/prm
%attr(755,root,root) %{_bindir}/prmdir
%attr(755,root,root) %{_bindir}/prun
%attr(755,root,root) %{_bindir}/psettime
%attr(755,root,root) %{_bindir}/pshortcut
%attr(755,root,root) %{_bindir}/pstatus
%attr(755,root,root) %{_bindir}/rapiconfig
%attr(755,root,root) %{_bindir}/synce-database
%attr(755,root,root) %{_bindir}/synce-install-cab
%attr(755,root,root) %{_bindir}/synce-list-programs
%attr(755,root,root) %{_bindir}/synce-registry
%attr(755,root,root) %{_bindir}/synce-remove-program
%attr(755,root,root) %{_libdir}/librapi.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librapi.so.2
%{_mandir}/man1/*.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librapi.so
%{_libdir}/librapi.la
%{_includedir}/irapistream.h
%{_includedir}/rapi.h
%{_includedir}/rapi2.h
%{_includedir}/rapitypes.h
%{_includedir}/rapitypes2.h
%{_pkgconfigdir}/librapi2.pc
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/librapi.a

%if %{with python}
%files -n python-pyrapi2
%defattr(644,root,root,755)
%{py_sitedir}/pyrapi2.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synce-librapi2.spec,v $
Revision 1.33  2011/08/13 21:53:59  glen
- really disable udev, deps and more bconds

Revision 1.32  2011/07/28 20:14:49  baggins
- rel 3

Revision 1.31  2011/02/23 16:37:35  glen
- %requires_ge_to

Revision 1.30  2011/02/21 11:20:01  glen
- up to 0.15.2

Revision 1.29  2010/08/16 20:24:47  glen
- release 2

Revision 1.28  2010/06/15 22:40:16  arvenil
- up to 0.15

Revision 1.27  2009/06/03 19:47:22  megabajt
- release 4

Revision 1.26  2009/03/14 23:45:01  hawk
- release 3

Revision 1.25  2008/10/18 22:49:05  sls
- added python bcond
- added TODO
- packaged BUGS ChangeLog

Revision 1.24  2008/10/17 17:31:16  megabajt
- release 2

Revision 1.23  2008/09/16 10:07:43  patrys
- add back accidentally removed info

Revision 1.22  2008/09/16 10:06:02  patrys
- 0.12

Revision 1.21  2008/09/16 09:47:15  patrys
- rel 2

Revision 1.20  2008/07/10 00:32:53  gotar
- removed obsoleted FUR patch notice

Revision 1.19  2008/05/16 19:06:49  wolvverine
- up to 0.11.1

Revision 1.18  2008-04-17 12:06:54  sls
- attr for binaries

Revision 1.17  2008-01-27 00:56:12  glen
- update to 0.11, verbose program files

Revision 1.16  2007-09-11 22:36:15  glen
- rel 2

Revision 1.15  2007/09/02 16:25:32  qboosh
- separated python module

Revision 1.14  2007/09/02 16:22:07  qboosh
- no static python module

Revision 1.13  2007/08/30 13:51:47  glen
- package files; rel 1

Revision 1.12  2007/08/29 01:12:01  glen
- add rapi patch for FUR (causes build failure, so disabled)

Revision 1.11  2007/08/29 00:13:12  glen
- up to 0.10.0

Revision 1.10  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.8  2006/12/11 22:32:19  glen
- add -64bit.patch (hack, expect SEGV for programs using those functions)

Revision 1.7  2006/12/11 21:51:28  glen
- update to 0.9.2

Revision 1.6  2006/12/11 21:30:01  glen
- new URL

Revision 1.5  2006/05/18 08:43:09  qboosh
- it seems that 0.9.1 fixes 64-bit problems

Revision 1.4  2005/10/23 22:39:44  prism
- updated to 0.9.1

Revision 1.3  2005/05/11 14:40:56  qboosh
- updated 64-bit archs list

Revision 1.2  2004/12/26 01:59:32  qboosh
- librapi2 is not ready for 64-bit pointers :/

Revision 1.1  2004/12/26 00:55:06  qboosh
- split from synce.spec for clean build
